pike.git / src / post_modules / SDL / configure.in

version» Context lines:

pike.git/src/post_modules/SDL/configure.in:36:   [dnl   dnl Get the cflags and libraries from the sdl-config script   dnl   AC_ARG_WITH(sdl-prefix,[ --with-sdl-prefix=PFX Prefix where SDL is installed (optional)],    sdl_prefix="$withval", sdl_prefix="")   AC_ARG_WITH(sdl-exec-prefix,[ --with-sdl-exec-prefix=PFX Exec prefix where SDL is installed (optional)],    sdl_exec_prefix="$withval", sdl_exec_prefix="")   AC_ARG_ENABLE(sdltest, [ --disable-sdltest Do not try to compile and run a test SDL program],    , enable_sdltest=yes)    -  if test x$sdl_exec_prefix != x ; then -  sdl_args="$sdl_args --exec-prefix=$sdl_exec_prefix" -  if test x${SDL_CONFIG+set} != xset ; then -  SDL_CONFIG=$sdl_exec_prefix/bin/${ac_tool_prefix}sdl-config -  fi -  fi -  if test x$sdl_prefix != x ; then -  sdl_args="$sdl_args --prefix=$sdl_prefix" -  if test x${SDL_CONFIG+set} != xset ; then -  SDL_CONFIG=$sdl_prefix/bin/${ac_tool_prefix}sdl-config -  fi -  fi +     -  dnl AC_REQUIRE([AC_CANONICAL_TARGET]) -  AC_PATH_PROG(SDL_CONFIG, ${ac_tool_prefix}sdl-config, no) +  MY_AC_PATH_PROGS(SDL_CONFIG, ${pike_cv_tool_prefix}sdl-config ${ac_tool_prefix}sdl-config, no)    min_sdl_version=ifelse([$1], ,0.11.0,$1)    AC_MSG_CHECKING(for SDL - version >= $min_sdl_version)    no_sdl=""    if test "$SDL_CONFIG" = "no" ; then    no_sdl=yes    else    SDL_CFLAGS=`$SDL_CONFIG $sdlconf_args --cflags`    SDL_LIBS=`$SDL_CONFIG $sdlconf_args --libs`       sdl_major_version=`$SDL_CONFIG $sdl_args --version | \